package com.cloudcross.ssp.model;

import java.util.Date;

public class Log {
		// 主键
		private Long id;
		// 表名
		private String tableName;
		// 修改记录id
		private Long recordId;
		// 用户id
		private Long accountId;
		// 操作人真实姓名
		private String accountName;
		// 模块
		private String module;
		// 操作类型
		private String actionType;
		// 变更详情
		private String action;
		// 操作时长
		private String actionTime;
		// 用户ip
		private String userIp;
		// 操作时间
		private Date operTime;
		
		
		
		public Log() {}
		
		public Log(Long accounId, String accounName, String module,
				String actionType, String action, String actionTime,
				String userIp, Date operTime) {
			super();
			this.accountId = accountId;
			this.accountName = accountName;
			this.module = module;
			this.actionType = actionType;
			this.action = action;
			this.actionTime = actionTime;
			this.userIp = userIp;
			this.operTime = operTime;
		}
		
		public String getTableName() {
			return tableName;
		}

		public void setTableName(String tableName) {
			this.tableName = tableName;
		}

		public Long getRecordId() {
			return recordId;
		}

		public void setRecordId(Long recordId) {
			this.recordId = recordId;
		}

		public Long getId() {
			return id;
		}
		public void setId(Long id) {
			this.id = id;
		}
		
		public Long getAccountId() {
			return accountId;
		}

		public void setAccountId(Long accountId) {
			this.accountId = accountId;
		}

		public String getAccountName() {
			return accountName;
		}

		public void setAccountName(String accountName) {
			this.accountName = accountName;
		}

		public String getModule() {
			return module;
		}
		public void setModule(String module) {
			this.module = module;
		}
		public String getActionType() {
			return actionType;
		}
		public void setActionType(String actionType) {
			this.actionType = actionType;
		}
		public String getAction() {
			return action;
		}
		public void setAction(String action) {
			this.action = action;
		}
		public String getActionTime() {
			return actionTime;
		}
		public void setActionTime(String actionTime) {
			this.actionTime = actionTime;
		}
		public String getUserIp() {
			return userIp;
		}
		public void setUserIp(String userIp) {
			this.userIp = userIp;
		}
		public Date getOperTime() {
			return operTime;
		}
		public void setOperTime(Date operTime) {
			this.operTime = operTime;
		}

		@Override
		public String toString() {
			return "Log [id=" + id + ", tableName=" + tableName + ", recordId="
					+ recordId + ", accountId=" + accountId + ", accountName="
					+ accountName + ", module=" + module + ", actionType="
					+ actionType + ", action=" + action + ", actionTime="
					+ actionTime + ", userIp=" + userIp + ", operTime="
					+ operTime + "]";
		}

		
		
		
		
}
